import { PointTuple, LayoutMapping, Graph } from "../types";
/**
 * Assign or only return the result for the graph who has no nodes or only one node.
 * @param graph original graph
 * @param assign whether assign result to original graph
 * @param center the layout center
 * @param onLayoutEnd callback for layout end
 * @returns
 */
export declare const handleSingleNodeGraph: (graph: Graph, assign: boolean, center: PointTuple, onLayoutEnd?: ((data: LayoutMapping) => void) | undefined) => {
    nodes: {
        data: {
            x: number;
            y: number;
            visible?: boolean | undefined;
            size?: number | number[] | undefined;
            bboxSize?: number[] | undefined;
        };
        id: import("@antv/graphlib").ID;
    }[];
    edges: import("@antv/graphlib").Edge<import("../types").EdgeData>[];
} | undefined;
