import { Node, Edge } from "../types";
export declare const isObject: (val: unknown) => val is Record<any, any>;
export declare const clone: <T>(target: T) => T;
/**
 * Clone node or edge data and format it
 * @param target node/edge to be cloned
 * @param initRange whether init the x and y in data with the range, which means [xRange, yRange]
 * @returns cloned node/edge
 */
export declare const cloneFormatData: <T extends Node | Edge>(target: T, initRange?: [number, number]) => T;
